## kosmindoormap 25.08.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KOSMIndoorMap VERSION ${RELEASE_SERVICE_VERSION})

option(BUILD_STANDALONE_APP "Build and install the stand-alone test/demo app." OFF)
option(BUILD_TOOLS_ONLY "Build only the command-line tools." OFF)

find_package(ECM 6.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
set(CMAKE_CXX_STANDARD 20)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMAddAndroidApk)

ecm_setup_version(PROJECT VARIABLE_PREFIX KOSMINDOORMAP
    VERSION_HEADER kosmindoormap_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KOSMIndoorMapConfigVersion.cmake"
    SOVERSION 1
)

set(QT_MIN_VERSION 6.5)
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Network)

set(KPublicTransport_DEPENDENCY_TYPE REQUIRED)
if (NOT USE_KPUBLICTRANSPORT AND NOT BUILD_STANDALONE_APP)
    set(KPublicTransport_DEPENDENCY_TYPE RECOMMENDED)
endif()

if (NOT BUILD_TOOLS_ONLY)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Quick)

    if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
        find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    endif()

    find_package(KF6 REQUIRED COMPONENTS I18n)
    find_package(KPublicTransport)
    set_package_properties(KPublicTransport PROPERTIES TYPE ${KPublicTransport_DEPENDENCY_TYPE} PURPOSE "Integration of public transport realtime data.")
    find_package(KOpeningHours)
    set_package_properties(KOpeningHours PROPERTIES TYPE REQUIRED PURPOSE "Highlight currently open amenities/shops/etc.")
    find_package(KF6KirigamiAddons 1.6.0)
    set_package_properties(KF6KirigamiAddons PROPERTIES TYPE REQUIRED PURPOSE "IndoorMapView floating buttons.")
    if (ANDROID)
        find_package(Gradle REQUIRED)
    else()
        find_package(KF6 OPTIONAL_COMPONENTS CoreAddons Service)
    endif()

    find_package(recastnavigation)
    set_package_properties(recastnavigation PROPERTIES TYPE RECOMMENDED PURPOSE "Navigation engine." URL "https://recastnav.com/")
endif()

if (BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test Widgets)
endif()

if (BUILD_STANDALONE_APP)
    if (NOT ANDROID)
        find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
    else()
        find_package(KF6 6.3 REQUIRED COMPONENTS Kirigami)
        find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS QuickControls2 Svg)
        find_package(OpenSSL REQUIRED)
        if (NOT DEFINED BREEZEICONS_DIR AND EXISTS ${CMAKE_SOURCE_DIR}/../breeze-icons)
            set(BREEZEICONS_DIR ${CMAKE_SOURCE_DIR}/../breeze-icons)
        endif()
    endif()
endif()

find_package(ZLIB REQUIRED)
find_package(OsmTools)
set_package_properties(OsmTools PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for regenereating line metadata tables (ie. you most likely don't need this)")

if (NOT BUILD_TOOLS_ONLY)
    find_package(FLEX REQUIRED)
    set_package_properties(FLEX PROPERTIES PURPOSE "MapCSS parser for indoor map rendering.")
    find_package(BISON REQUIRED)
    set_package_properties(BISON PROPERTIES PURPOSE "MapCSS parser for indoor map rendering.")
endif()

if (NOT WIN32)
    # try upstream cmake config first
    set(protobuf_MODULE_COMPATIBLE ON)
    find_package(Protobuf CONFIG)
    if(NOT Protobuf_FOUND)
    # fall back to cmake's protobuf module
       find_package(Protobuf)
    endif()
    set_package_properties(Protobuf PROPERTIES TYPE OPTIONAL PURPOSE "Parsing of OSM PBF files.")
endif()

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.5 KF 5.240.0)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KOSMIndoorMap")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KOSMIndoorMapConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KOSMIndoorMapConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KOSMIndoorMapConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KOSMIndoorMapConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
install(EXPORT KOSMIndoorMapTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KOSMIndoorMapTargets.cmake)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kosmindoormap_version.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
if (NOT BUILD_TOOLS_ONLY)
    ki18n_install(po)
endif()

=== src/routing/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(KOSMIndoorRouting)
target_sources(KOSMIndoorRouting PRIVATE
    navmesh.cpp
    navmeshbuilder.cpp
    navmeshtransform.cpp
    route.cpp
    routeoverlay.cpp
    routingarea.cpp
    routingjob.cpp
    routingprofile.cpp
    assets.qrc
)

ecm_qt_declare_logging_category(KOSMIndoorRouting
    HEADER logging.h
    IDENTIFIER KOSMIndoorRouting::Log
    CATEGORY_NAME org.kde.kosmindoorrouting
    DESCRIPTION "KOSMIndoorRouting"
    EXPORT KOSMINDOORMAP
)

generate_export_header(KOSMIndoorRouting BASE_NAME KOSMIndoorRouting)
set_target_properties(KOSMIndoorRouting PROPERTIES
    VERSION ${KOSMINDOORMAP_VERSION}
    SOVERSION ${KOSMINDOORMAP_SOVERSION}
    EXPORT_NAME KOSMIndoorRouting
)

target_include_directories(KOSMIndoorRouting PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
target_link_libraries(KOSMIndoorRouting
    PUBLIC Qt::Core KOSM KOSMIndoorMap
    PRIVATE Qt::GuiPrivate
)
if (TARGET RecastNavigation::Recast AND TARGET RecastNavigation::Detour)
    target_compile_definitions(KOSMIndoorRouting PRIVATE HAVE_RECAST=1)
    target_link_libraries(KOSMIndoorRouting PRIVATE
        RecastNavigation::Recast
        RecastNavigation::Detour
        # RecastNavigation::DebugUtils
    )
else()
    target_compile_definitions(KOSMIndoorRouting PRIVATE HAVE_RECAST=0)
endif()

qt_extract_metatypes(KOSMIndoorRouting)

ecm_generate_headers(KOSMIndoorRouting_FORWARDING_HEADERS
    HEADER_NAMES
        NavMesh
        NavMeshBuilder
        NavMeshTransform
        Route
        RoutingArea
        RoutingJob
        RoutingProfile
    PREFIX KOSMIndoorRouting
    REQUIRED_HEADERS KOSMIndoorRouting_HEADERS
)

install(TARGETS KOSMIndoorRouting EXPORT KOSMIndoorMapTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${KOSMIndoorRouting_FORWARDING_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KOSMIndoorRouting
)
install(FILES
    ${KOSMIndoorRouting_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kosmindoorrouting_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kosmindoorrouting
)

=== autotests/data/platforms/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

if (NOT TARGET OSM::filter)
    return()
endif()

add_custom_target(fetch-platform-data)
function(fetch_osm_data _name _bbox)
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.raw.osm
        COMMAND osm-download-data --bbox ${_bbox} --out ${CMAKE_CURRENT_BINARY_DIR}/${_name}.raw.osm
        COMMENT "Downloading ${_name}"
    )
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/${_name}.osm
        COMMAND OSM::filter ${CMAKE_CURRENT_BINARY_DIR}/${_name}.raw.osm --drop-author --drop-version --out-osm --keep=route=train --keep=route=light_rail --keep=route=tram --keep=railway=* --keep=public_transport=* --keep=platform*=* --drop-relations=public_transport=station --drop-tags=\\"addr*= building*= contact*= covered= crossing*= cutting= description= ele= embankment= electrified= entrance*= frequency= gauge= HVV:*= heritage*= highspeed= image= indoor*= interval*= maxspeed*= mx:*= name:*= network= note*= layer= lit= operator*= rack= railway:ballastless= railway:bidirectional= railway:etcs= railway:gnt= railway:lzb= railway:milestone*= railway:local_operated= railway:position*= railway:preferred_direction= railway:pzb= railway:radio= railway:radius= railway=signal railway:signal*= railway=switch railway:switch*= railway:tilting= railway:track_class= shelter= source*= TMC*= tactile_paving= toilets*= tunnel*= voltage= via= VRS:*= website= wheelchair*= wiki*= workrules= \\" -o=${CMAKE_CURRENT_SOURCE_DIR}/${_name}.osm
        COMMAND sed -i -e \"s,\\?>,?>\\n<!--\\n    SPDX-FileCopyrightText: OpenStreetMap contributors\\n    PDX-License-Identifier: ODbL-1.0\\n-->,\" ${CMAKE_CURRENT_SOURCE_DIR}/${_name}.osm
        # work around to not trigger reuse lint by the SPDX markers here
        COMMAND sed -i -e \"s,PDX-License,SPDX-License,\" ${CMAKE_CURRENT_SOURCE_DIR}/${_name}.osm
        COMMENT "Filtering ${_name}"
        DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_name}.raw.osm
    )
    add_custom_target(fetch-platform-${_name} DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${_name}.osm)
    add_dependencies(fetch-platform-data fetch-platform-${_name})
endfunction()

fetch_osm_data(hamburg-altona 53.55031,9.93353,53.55768,9.93623)
fetch_osm_data(cologne-central 50.94143,6.95608,50.94528,6.96129)
fetch_osm_data(paris-gare-de-lyon 48.84151,2.37250,48.8467,2.38113)
fetch_osm_data(berlin-central 52.52315,13.36642,52.52721,13.37167)
fetch_osm_data(leipzig-central 51.34354,12.37857,51.34835,12.38722)
fetch_osm_data(hamburg-central 53.55027,10.00478,53.55427,10.00992)
fetch_osm_data(aachen-central 50.765929,6.087713,50.768219,6.094027)
fetch_osm_data(wien-meidling 48.1729,16.329567,48.176489,16.339567)

=== debian/changelog ===
kosmindoormap (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:26:47 +0000

kosmindoormap (25.08.2-0ubuntu2) resolute; urgency=medium

  * Now change rebuild for librecast1debian0.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Nov 2025 21:02:29 +0000

=== debian/control ===
Source: kosmindoormap
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: bison,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0~),
               flex,
               kirigami-addons-dev (>= 1.6.0~),
               libkf6coreaddons-dev,
               libkf6i18n-dev,
               libkf6service-dev,
               libkirigami-dev (>= 6.3~),
               libkopeninghours-dev (>= 25.08.3~),
               libkpublictransport-dev (>= 25.08.3~),
               libprotobuf-dev,
               librecast-dev,
               libssl-dev,
               protobuf-compiler,
               qml6-module-org-kde-contacts,
               qml6-module-org-kde-kirigamiaddons-formcard,
               qt6-base-dev (>= 6.5~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Homepage: https://invent.kde.org/libraries/kosmindoormap/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: kosmindoormap-demo
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: OSM multi-floor indoor map demo application
 Open Street Map indoor map renderer of for example a (large) train station.
 .
 Contains a demo application.

Package: kosmindoormap-dev
Section: libdevel
Architecture: any
Depends: libkosm1 (= ${binary:Version}),
         libkosmindoormap1 (= ${binary:Version}),
         libkosmindoorrouting1 (= ${binary:Version}),
         qml6-module-org-kde-kosmindoormap (= ${binary:Version}),
         qml6-module-org-kde-kosmindoorrouting (= ${binary:Version}),
         qml6-module-org-kde-osm-editorcontroller (= ${binary:Version}),
         qt6-base-dev (>= 6.5~),
         ${misc:Depends},
Description: OSM multi-floor indoor map renderer (development files)
 Open Street Map indoor map renderer of for example a (large) train station.
 .
 Contains development files.

Package: libkosmindoormap1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: OSM multi-floor indoor map renderer
 Open Street Map indoor map renderer of for example a (large) train station.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: libkosmindoorrouting1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: OSM multi-floor indoor map navigation
 Open Street Map indoor map navigation of for example a (large) train station.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: libkosm1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for OSM data with Qt
 Use OSM data with Qt data types to use it easily in your Qt applications.
 .
 It gives you picking support for implementing interaction with map elements.
 It supports externally provided overlay elements. It allows pre-loading and
 caching API for offline support in applications.

Package: qml6-module-org-kde-kosmindoormap
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: OSM multi-floor indoor map renderer QML module
 Open Street Map indoor map renderer module for QML.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: qml6-module-org-kde-kosmindoorrouting
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: OSM multi-floor indoor map navigation QML module
 Open Street Map indoor map navigation module for QML.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: qml6-module-org-kde-osm-editorcontroller
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: OSM indoor editor QML module
 Open Street Map indoor map editor for QML.

## kosmindoormap 25.08.3+p24.04+vunstable+git20251202.0950

=== debian/changelog ===
kosmindoormap (25.08.3+p24.04+vunstable+git20251202.0950-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 09:50:43 +0000

kosmindoormap (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:08 +1000

## kosmindoormap 25.08.3+p24.04+vunstable+git20251206.0457

=== debian/changelog ===
kosmindoormap (25.08.3+p24.04+vunstable+git20251206.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 04:57:53 +0000

## kosmindoormap 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOSMIndoorMap VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kosmindoormap (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:59:53 +0000

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 25.08.3~),
-               libkpublictransport-dev (>= 25.08.3~),
+               libkopeninghours-dev (>= 25.11.80~),
+               libkpublictransport-dev (>= 25.11.80~),
                libprotobuf-dev,
                librecast-dev,
                libssl-dev,

## kosmindoormap 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOSMIndoorMap VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kosmindoormap (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:10:56 +0000

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 25.11.80~),
-               libkpublictransport-dev (>= 25.11.80~),
+               libkopeninghours-dev (>= 25.11.90~),
+               libkpublictransport-dev (>= 25.11.90~),
                libprotobuf-dev,
                librecast-dev,
                libssl-dev,

## kosmindoormap 25.12.0

=== debian/changelog ===
kosmindoormap (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:28:48 +0000

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 25.11.90~),
-               libkpublictransport-dev (>= 25.11.90~),
+               libkopeninghours-dev (>= 25.12.0~),
+               libkpublictransport-dev (>= 25.12.0~),
                libprotobuf-dev,
                librecast-dev,
                libssl-dev,

## kosmindoormap 25.12.0+p24.04+vstable+git20260103.0306

=== debian/changelog ===
kosmindoormap (25.12.0+p24.04+vstable+git20260103.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:06:35 +0000

kosmindoormap (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:56 +1000

## kosmindoormap 25.12.0+p24.04+vstable+git20260104.0110

=== debian/changelog ===
kosmindoormap (25.12.0+p24.04+vstable+git20260104.0110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 01:10:53 +0000

## kosmindoormap 25.12.0+p24.04+vunstable+git20260104.0300

=== debian/changelog ===
kosmindoormap (25.12.0+p24.04+vunstable+git20260104.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 03:00:04 +0000

## kosmindoormap 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOSMIndoorMap VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kosmindoormap (25.12.1-2ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump Gear build deps to current version.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jan 2026 17:27:03 +0000

kosmindoormap (25.12.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rebuild against kopeninghours 25.12.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 23:07:46 +0100

kosmindoormap (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump Gear build deps to current version.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Jan 2026 12:24:34 +0000

kosmindoormap (25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Review copyright information.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 12 Jan 2026 22:38:23 +0100

kosmindoormap (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:10:35 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: bison,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               bison,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0~),
                flex,
                kirigami-addons-dev (>= 1.6.0~),
@@ -18,8 +18,8 @@
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 25.12.0~),
-               libkpublictransport-dev (>= 25.12.0~),
+               libkopeninghours-dev (>= 25.12.1~),
+               libkpublictransport-dev (>= 25.12.1~),
                libprotobuf-dev,
                librecast-dev,
                libssl-dev,
@@ -37,8 +37,7 @@
 Homepage: https://invent.kde.org/libraries/kosmindoormap/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 
 Package: kosmindoormap-demo
 Section: utils
@@ -71,7 +70,8 @@
 Provides: ${ABI:VirtualPackage},
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map renderer
  Open Street Map indoor map renderer of for example a (large) train station.
  .
@@ -86,7 +86,8 @@
 Provides: ${ABI:VirtualPackage},
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map navigation
  Open Street Map indoor map navigation of for example a (large) train station.
  .
@@ -101,7 +102,8 @@
 Provides: ${ABI:VirtualPackage},
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: library for OSM data with Qt
  Use OSM data with Qt data types to use it easily in your Qt applications.
  .

## kosmindoormap 25.12.1+p24.04+vstable+git20260122.0854

=== debian/changelog ===
kosmindoormap (25.12.1+p24.04+vstable+git20260122.0854-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 08:54:23 +0000

kosmindoormap (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:24 +1000

## kosmindoormap 25.12.1+p24.04+vstable+git20260130.1039

=== debian/changelog ===
kosmindoormap (25.12.1+p24.04+vstable+git20260130.1039-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:39:29 +0000

## kosmindoormap 25.12.1+p24.04+vunstable+git20260130.1432

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOSMIndoorMap VERSION ${RELEASE_SERVICE_VERSION})

=== src/map/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kosmindoormap.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kosmindoormap.h)

add_library(KOSMIndoorMap)
target_sources(KOSMIndoorMap PRIVATE
    loader/boundarysearch.cpp
    loader/levelparser.cpp
    loader/mapdata.cpp
    loader/maploader.cpp
    loader/marblegeometryassembler.cpp
    loader/tilecache.cpp

    network/networkaccessmanagerfactory.cpp
    network/useragent.cpp

)
if (NOT BUILD_TOOLS_ONLY)
    flex_target(mapcssscanner
        style/mapcsslexer.l
        ${CMAKE_CURRENT_BINARY_DIR}/mapcsslexer.cpp
        DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/mapcssscanner.h
        COMPILE_FLAGS "--nounistd --noline"
    )
    bison_target(mapcssparser
        style/mapcssparser.y
        ${CMAKE_CURRENT_BINARY_DIR}/mapcssparser_impl.cpp
        DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/mapcssparser_impl.h
        COMPILE_FLAGS "--no-lines"
    )
    add_flex_bison_dependency(mapcssscanner mapcssparser)
    set_source_files_properties(${BISON_mapcssparser_OUTPUTS} ${FLEX_mapcssscanner_OUTPUTS} PROPERTIES SKIP_AUTOMOC ON)

    target_sources(KOSMIndoorMap PRIVATE
        assets/assets.qrc

        content/equipmentmodel.cpp
        content/floorlevelmodel.cpp
        content/gatemodel.cpp
        content/osmconditionalexpression.cpp
        content/platform.cpp
        content/platformfinder.cpp
        content/platformmodel.cpp

        loader/reversegeocodingjob.cpp

        renderer/hitdetector.cpp
        renderer/painterrenderer.cpp
        renderer/stackblur.cpp

        scene/iconloader.cpp
        scene/openinghourscache.cpp
        scene/overlaysource.cpp
        scene/penwidthutil.cpp
        scene/poleofinaccessibilityfinder.cpp
        scene/scenecontroller.cpp
        scene/scenegeometry.cpp
        scene/scenegraph.cpp
        scene/scenegraphitem.cpp
        scene/texturecache.cpp
        scene/view.cpp

        style/mapcsscondition.cpp
        style/mapcssdeclaration.cpp
        style/mapcssexpression.cpp
        style/mapcssloader.cpp
        style/mapcssparser.cpp
        style/mapcssparsercontext.cpp
        style/mapcssresult.cpp
        style/mapcssrule.cpp
        style/mapcssselector.cpp
        style/mapcssstate.cpp
        style/mapcssstyle.cpp
        style/mapcssterm.cpp
        style/mapcssvalue.cpp
        ${BISON_mapcssparser_OUTPUTS}
        ${FLEX_mapcssscanner_OUTPUTS}
    )
    qt_extract_metatypes(KOSMIndoorMap)
endif()

ecm_qt_declare_logging_category(KOSMIndoorMap
    HEADER logging.h
    IDENTIFIER KOSMIndoorMap::Log
    CATEGORY_NAME org.kde.kosmindoormap
    DESCRIPTION "KOSMIndoorMap"
    EXPORT KOSMINDOORMAP
)
ecm_qt_declare_logging_category(KOSMIndoorMap
    HEADER render-logging.h
    IDENTIFIER KOSMIndoorMap::RenderLog
    CATEGORY_NAME org.kde.kosmindoormap.renderer
    DESCRIPTION "KOSMIndoorMap (Rendering)"
    EXPORT KOSMINDOORMAP
)
ecm_qt_declare_logging_category(KOSMIndoorMap
    HEADER reassembly-logging.h
    IDENTIFIER KOSMIndoorMap::ReassemblyLog
    CATEGORY_NAME org.kde.kosmindoormap.reassembly
    DESCRIPTION "KOSMIndoorMap (Geometry Reassembly)"
    EXPORT KOSMINDOORMAP
)

generate_export_header(KOSMIndoorMap BASE_NAME KOSMIndoorMap)
set_target_properties(KOSMIndoorMap PROPERTIES
    VERSION ${KOSMINDOORMAP_VERSION}
    SOVERSION ${KOSMINDOORMAP_SOVERSION}
    EXPORT_NAME KOSMIndoorMap
)

target_include_directories(KOSMIndoorMap PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
target_include_directories(KOSMIndoorMap PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>)
target_include_directories(KOSMIndoorMap INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>")
target_link_libraries(KOSMIndoorMap
    PUBLIC Qt::Core KOSM
    PRIVATE Qt::Network Qt::CorePrivate
)
if (NOT BUILD_TOOLS_ONLY)
    target_link_libraries(KOSMIndoorMap
        PUBLIC Qt::Gui
        PRIVATE KOpeningHours
    )
endif()

ecm_generate_headers(KOSMIndoorMap_Content_FORWARDING_HEADERS
    HEADER_NAMES
        EquipmentModel
        FloorLevelModel
        GateModel
        Platform
        PlatformModel
    PREFIX KOSMIndoorMap
    REQUIRED_HEADERS KOSMIndoorMap_Content_HEADERS
    RELATIVE content
)
ecm_generate_headers(KOSMIndoorMap_Loader_FORWARDING_HEADERS
    HEADER_NAMES
        MapLoader
        MapData
        ReverseGeocodingJob
    PREFIX KOSMIndoorMap
    REQUIRED_HEADERS KOSMIndoorMap_Loader_HEADERS
    RELATIVE loader
)
ecm_generate_headers(KOSMIndoorMap_Network_FORWARDING_HEADERS
    HEADER_NAMES
        NetworkAccessManagerFactory
    PREFIX KOSMIndoorMap
    REQUIRED_HEADERS KOSMIndoorMap_Network_HEADERS
    RELATIVE network
)
ecm_generate_headers(KOSMIndoorMap_Renderer_FORWARDING_HEADERS
    HEADER_NAMES
        HitDetector
        PainterRenderer
    PREFIX KOSMIndoorMap
    REQUIRED_HEADERS KOSMIndoorMap_Renderer_HEADERS
    RELATIVE renderer
)
ecm_generate_headers(KOSMIndoorMap_Scene_FORWARDING_HEADERS
    HEADER_NAMES
        OverlaySource
        SceneController
        SceneGraph
        SceneGraphItem
        View
    PREFIX KOSMIndoorMap
    REQUIRED_HEADERS KOSMIndoorMap_Scene_HEADERS
    RELATIVE scene
)
ecm_generate_headers(KOSMIndoorMap_Style_FORWARDING_HEADERS
    HEADER_NAMES
        MapCSSElementState
        MapCSSLoader
        MapCSSParser
        MapCSSProperty
        MapCSSResult
        MapCSSStyle
        MapCSSTypes
    PREFIX KOSMIndoorMap
    REQUIRED_HEADERS KOSMIndoorMap_Style_HEADERS
    RELATIVE style
)

install(TARGETS KOSMIndoorMap EXPORT KOSMIndoorMapTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${KOSMIndoorMap_Content_FORWARDING_HEADERS}
    ${KOSMIndoorMap_Loader_FORWARDING_HEADERS}
    ${KOSMIndoorMap_Loader_FORWARDING_HEADERS}
    ${KOSMIndoorMap_Network_FORWARDING_HEADERS}
    ${KOSMIndoorMap_Renderer_FORWARDING_HEADERS}
    ${KOSMIndoorMap_Scene_FORWARDING_HEADERS}
    ${KOSMIndoorMap_Style_FORWARDING_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KOSMIndoorMap
)
install(FILES
    ${KOSMIndoorMap_Content_HEADERS}
    ${KOSMIndoorMap_Loader_HEADERS}
    ${KOSMIndoorMap_Network_HEADERS}
    ${KOSMIndoorMap_Renderer_HEADERS}
    ${KOSMIndoorMap_Scene_HEADERS}
    ${KOSMIndoorMap_Style_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kosmindoormap_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kosmindoormap
)

=== src/tools/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(osm-download-data osm-download-data.cpp)
target_link_libraries(osm-download-data KOSMIndoorMap)
if (TARGET KOSM_pbfioplugin)
    target_compile_definitions(osm-download-data PRIVATE -DHAVE_OSM_PBF_SUPPORT=1)
    target_link_libraries(osm-download-data KOSM_pbfioplugin)
else()
    target_compile_definitions(osm-download-data PRIVATE -DHAVE_OSM_PBF_SUPPORT=0)
endif()

add_executable(marble-geometry-assembler marble-geometry-assembler.cpp)
target_link_libraries(marble-geometry-assembler KOSMIndoorMap)
if (TARGET KOSM_pbfioplugin)
    target_compile_definitions(marble-geometry-assembler PRIVATE -DHAVE_OSM_PBF_SUPPORT=1)
    target_link_libraries(marble-geometry-assembler KOSM_pbfioplugin)
else()
    target_compile_definitions(marble-geometry-assembler PRIVATE -DHAVE_OSM_PBF_SUPPORT=0)
endif()

if (TARGET KOSMIndoorRouting)
    add_executable(navmesh-dump navmesh-dump.cpp)
    target_link_libraries(navmesh-dump KOSMIndoorRouting)
endif()

if (NOT BUILD_TOOLS_ONLY)
    add_executable(reverse-geocode reverse-geocode.cpp)
    target_link_libraries(reverse-geocode KOSMIndoorMap)
endif()

=== debian/changelog ===
kosmindoormap (25.12.1+p24.04+vunstable+git20260130.1432-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:32:50 +0000

## kosmindoormap 25.12.2

=== debian/changelog ===
kosmindoormap (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:42:14 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bison,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               bison,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0~),
                flex,
                kirigami-addons-dev (>= 1.6.0~),
@@ -18,8 +18,8 @@
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 25.12.1~),
-               libkpublictransport-dev (>= 25.12.1~),
+               libkopeninghours-dev (>= 25.12.2~),
+               libkpublictransport-dev (>= 25.12.2~),
                libprotobuf-dev,
                librecast-dev,
                libssl-dev,
